Ticket #25834

管理メニューのアカウントのところに"ユーザ"の項目が二重に表示される

Open Date: 2011-07-28 00:40 Last Update: 2011-10-26 08:35

Reporter:
Owner:
Type:
Status:
Closed
MileStone:
Priority:
7
Severity:
5 - Medium
Resolution:
Fixed

Details

管理メニューのアカウントのところに"ユーザ"の項目が二重に表示されている。

どちらをクリックしても動作は代わらないので実用上は問題ありませんが気になります。

Attachment File List

Ticket History (3/10 Histories)

2011-07-28 00:40 Updated by: kanu
  • New Ticket "管理メニューのアカウントのところに"ユーザ"の項目が二重に表示される" created
2011-07-28 00:46 Updated by: kanu
Comment

AccountManagerのバージョンアップに伴い、TracUserManagerとの整合性が取れなくなっている模様。

2011-10-02 12:57 Updated by: okamototk
  • Milestone Update from (None) to 3.1.3 (closed)
  • Priority Update from 5 - Medium to 7
Comment

この対応は現状どうなっていますかね? 下記のアップデートで壊れたのでしょうか?

changeset:   199:4ea632288e27
user:        kanu_orz
date:        Mon Jul 11 19:25:33 2011 +0900
description:
replace AccountManager from 0.11branch v0.3(r10429)

次のバージョンリリースまでには直しておきたいですね。

現状不満がある訳ではないので、Kanonで利用しているバージョンに置き換えるのがよいかと思いますが、如何でしょうか?

2011-10-02 14:08 Updated by: kanu
Comment

フォーム認証を利用したときに、XML-RPCでの認証周りの問題の解決の為に入れ替えたのですが、

そちらの問題が解決してこっちの問題が出てしまった形になってます。

Kanonで使ってるバージョンが、フォーム認証を利用時のXML-RPCの認証に問題を抱えていなければ入れ替えでもOKだと思います。

okamototk への返信

次のバージョンリリースまでには直しておきたいですね。 現状不満がある訳ではないので、Kanonで利用しているバージョンに置き換えるのがよいかと思いますが、如何でしょうか?

2011-10-02 15:20 Updated by: okamototk
Comment

今TracLightningのスナップショットを入れ直して確認したのですが、特にユーザの項目が二重に表示されている感じではありませんでした。 クリーンインストールでも二重になりますか?

2011-10-04 02:49 Updated by: jun66j5
  • File dup-users-menu.png (File ID: 4634) is attached
2011-10-04 02:54 Updated by: jun66j5
Comment

クリーンインストールして確認して見ましたが添付した dup-users-menu.png のような感じで二つ表示されます。

確か usermanagerplugin と accountmanagerplugin の双方でユーザメニューを出そうとしているのでこんなことになっている…というのを調べたところまでやってそのまま。

2011-10-04 08:01 Updated by: okamototk
  • Owner Update from (None) to okamototk
  • Resolution Update from None to Fixed
Comment

215:4b241c1414ca で修正しました。

2011-10-04 08:21 Updated by: okamototk
Comment

216:124084dde1aa で最修正。

2011-10-26 08:35 Updated by: okamototk
  • Ticket Close date is changed to 2011-10-26 08:35
  • Status Update from Open to Closed

Edit

Please login to add comment to this ticket » Login